![Flowblade](flowblade-trunk/Flowblade/res/img/header_text.png "Flowblade")

**Contents:**
  1. [Introduction](https://github.com/jliljebl/flowblade#introduction)
  1. [Features](https://github.com/jliljebl/flowblade#features)
  1. [Releases](https://github.com/jliljebl/flowblade#releases)
  1. [Installing Flowblade](https://github.com/jliljebl/flowblade#installing-flowblade)
  1. [Docs](https://github.com/jliljebl/flowblade#docs)
  1. [Screenshot](https://github.com/jliljebl/flowblade#screenshot)
  1. [Contact](https://github.com/jliljebl/flowblade#contact)

# Introduction

Flowblade Movie Editor is a **multitrack non-linear video editor** for Linux released under **GPL 3 license**.

Flowblade is designed to provide a fast, precise and robust editing experience. Flowblade  employs film-style insert editing model for workflow. In insert editing clips are generally placed tightly after other clips when they are inserted on the timeline. Edits are fine tuned by trimming in and out points of clips or by cutting and deleting parts of clips.

Flowblade provides powerful tools to mix and filter video and audio.

# Features

**Editing:**

  * 3 move tools
  * 3 trim tools
  * 4 methods to insert / overwrite / append clips on the Timeline
  * Drag'n'Drop clips on the Timeline
  * Clip and compositor parenting with other clips
  * Max. 9 combined video and audio tracks available

**Image compositing:**

  * 7 compositors. Mix, zoom, move and rotate source video with keyframed animation tools
  * 19 blends. Stardand image blend modes like Add, Hardlight and Overlay are available
  * 40+ pattern wipes. 

**Image and audio filtering:**

  * 50+ image filters. Color correction, image effects, distorts, alpha manipulation, blur, edge detection, motion effects, freeze frame, etc.
  * 30+ audio filters. Keyframed volume mixing. Echo, reverb, distort, etc.

**Supported editable media types:**

  * Most common video and audio formats, depends on installed MLT/FFMPEG codecs
  * JPEG, PNG, TGA, TIFF graphics file types
  * SVG vector graphics
  * Numbered frame sequences 

**Output encoding:**

  * Most common video and audio formats, depends on installed MLT/FFMPEG codecs
  * User can define rendering by setting FFMpeg args individually
        
# Releases

**Latest release:** Flowblade Movie Editor 0.18 was released on March 19, 2015.

**Next release:** Flowblade Movie Editor 1.0 will be out on May/June 2015.

# Installing Flowblade

Installing instructions are available [here](./flowblade-trunk/docs/INSTALLING.md).

# Docs

[FAQ](./flowblade-trunk/docs/FAQ.md)

[Roadmap](./flowblade-trunk/docs/ROADMAP.md)

[Release notes](./flowblade-trunk/docs/RELEASE_NOTES.md)

[Creating a translation](./flowblade-trunk/docs/CREATING_TRANSLATION.md)

[Dependencies](./flowblade-trunk/docs/DEPENDENCIES.md)



# Screenshot

[Screenshot](./flowblade-trunk/docs/Screenshot-0-18.png) for version is 0.18 is available in the */docs* folder.

# Contact

Use the **Issues** tab on the right to give bug reports or to make feature requests.

If needed, you can contact project lead for additional information: janne.liljeblad@gmail.com
